Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.auth
Class AuthorityImporter

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.BaseImporterModule
          com.jaspersoft.jasperserver.export.modules.auth.AuthorityImporter

All Implemented Interfaces:
  ImporterModule

    public class AuthorityImporter

extends BaseImporterModule

Version:
  $Id: AuthorityImporter.java 9458 2007-08-10 14:30:48Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected static class` | `AuthorityImporter.ImportHandler`

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`commandOut, executionContext, importContext, indexElement, input, params`

Constructor Summary
`AuthorityImporter()`

Method Summary
`protected boolean` | `alreadyExists(RoleBean roleBean)`
`protected boolean` | `alreadyExists(UserBean userBean)`
`protected Role` | `createRole(RoleBean roleBean)`
`protected User` | `createUser(UserBean userBean)`
`AuthorityModuleConfiguration` | `getConfiguration()`
`protected java.lang.String` | `getRoleFile(java.lang.String roleName)`
`protected java.lang.String` | `getUserFile(java.lang.String username)`
`protected void` | `importRoles()`
`protected void` | `importUsers()`
`void` | `process()`
`protected void` | `saveRole(Role role)`
`protected void` | `saveUser(User user)`
`protected void` | `saveUserAttribute(User user, ProfileAttributeBean attributeBean)`
`protected void` | `saveUserAttributes(User user, ProfileAttributeBean[] attributes)`
`void` | `setConfiguration(AuthorityModuleConfiguration configuration)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.BaseImporterModule
`deserialize, getFileInput, getId, getParameterValue, init, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorityImporter

    public AuthorityImporter()

Method Detail

### process

    public void process()

### importRoles

    protected void importRoles()

### alreadyExists

    protected boolean alreadyExists(RoleBean roleBean)

### createRole

    protected Role createRole(RoleBean roleBean)

### saveRole

    protected void saveRole(Role role)

### importUsers

    protected void importUsers()

### alreadyExists

    protected boolean alreadyExists(UserBean userBean)

### createUser

    protected User createUser(UserBean userBean)

### saveUser

    protected void saveUser(User user)

### saveUserAttributes

    protected void saveUserAttributes(User user,
                                      ProfileAttributeBean[] attributes)

### saveUserAttribute

    protected void saveUserAttribute(User user,
                                     ProfileAttributeBean attributeBean)

### getUserFile

    protected java.lang.String getUserFile(java.lang.String username)

### getRoleFile

    protected java.lang.String getRoleFile(java.lang.String roleName)

### getConfiguration

    public AuthorityModuleConfiguration getConfiguration()

### setConfiguration

    public void setConfiguration(AuthorityModuleConfiguration configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.